import { Registry } from '@grafana/data';
import { fieldNameByRegexMatcherItem } from './FieldNameByRegexMatcherEditor.mjs';
import { fieldNameMatcherItem } from './FieldNameMatcherEditor.mjs';
import { fieldNamesMatcherItem } from './FieldNamesMatcherEditor.mjs';
import { fieldTypeMatcherItem } from './FieldTypeMatcherEditor.mjs';
import { fieldValueMatcherItem } from './FieldValueMatcher.mjs';
import { fieldsByFrameRefIdItem } from './FieldsByFrameRefIdMatcher.mjs';

const fieldMatchersUI = new Registry(() => [
  fieldNameMatcherItem,
  fieldNameByRegexMatcherItem,
  fieldTypeMatcherItem,
  fieldsByFrameRefIdItem,
  fieldNamesMatcherItem,
  fieldValueMatcherItem
]);

export { fieldMatchersUI };
//# sourceMappingURL=fieldMatchersUI.mjs.map
